<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/main_content"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:fitsSystemWindows="true">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayout"
        android:layout_width="match_parent"
        android:layout_height="230dp"
        android:fitsSystemWindows="true"
        android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">

        <com.cygnusa.hyperm.widget.SubtitleCollapsingToolbarLayout
            android:id="@+id/collapsing_toolbar"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/bg_color"
            android:fitsSystemWindows="true"
            app:collapsedSubtitleTextAppearance="?android:textAppearanceMedium"
            app:collapsedTitleGravity="center|left"
            app:expandedTitleGravity="center|bottom"
            app:expandedTitleTextAppearance="?android:textAppearanceLarge"
            app:layout_scrollFlags="scroll|exitUntilCollapsed">

            <FrameLayout
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:layout_gravity="center|top"
                android:layout_marginTop="40dp"
                android:fitsSystemWindows="true"
                app:layout_collapseMode="parallax">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:scaleType="fitCenter"
                    android:src="@drawable/ellipse" />

                <com.github.siyamed.shapeimageview.CircularImageView
                    android:id="@+id/userImage"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="@dimen/seekbarsize_small"
                    app:siBorderColor="@android:color/white"
                    app:siBorderWidth="0dp" />

                <com.google.android.material.floatingactionbutton.FloatingActionButton
                    android:id="@+id/cameraButton"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="bottom|right"
                    android:clickable="true"
                    android:focusable="true"
                    app:backgroundTint="#ccffffff"
                    app:fabSize="mini"
                    app:srcCompat="@mipmap/camera_icon" />


            </FrameLayout>

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="?android:attr/actionBarSize"
                app:layout_collapseMode="pin"
                app:popupTheme="@style/ThemeOverlay.AppCompat.Light">

                <ImageButton
                    android:id="@+id/helpIcon"
                    android:layout_width="@dimen/buttonHeightNormal"
                    android:layout_height="@dimen/buttonHeightNormal"
                    android:layout_gravity="center|right"
                    android:layout_marginRight="@dimen/textSizeSmall"
                    android:background="@android:color/transparent"
                    android:contentDescription="@string/action_submit"
                    android:padding="2dp"
                    android:scaleType="fitCenter"
                    android:src="@mipmap/help_icon"
                    android:visibility="gone" />

                <ImageButton
                    android:id="@+id/toolEditIcon"
                    android:layout_width="@dimen/buttonHeightNormal"
                    android:layout_height="@dimen/buttonHeightNormal"
                    android:layout_gravity="center|right"
                    android:layout_marginRight="@dimen/textSizeSmall"
                    android:background="@android:color/transparent"
                    android:contentDescription="@string/action_submit"
                    android:padding="@dimen/seekbarsize_small"
                    android:scaleType="fitCenter"
                    android:src="@mipmap/ic_edit"
                    android:visibility="visible" />
            </androidx.appcompat.widget.Toolbar>

        </com.cygnusa.hyperm.widget.SubtitleCollapsingToolbarLayout>

    </com.google.android.material.appbar.AppBarLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginBottom="@dimen/textSize"
            android:orientation="vertical"
            android:padding="24dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:padding="@dimen/seekbarsize"
                    android:src="@mipmap/phone" />

                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/edit_mobile"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:textColorHint="@color/btn_bg_color"
                    app:hintAnimationEnabled="true"
                    app:hintEnabled="true"
                    app:hintTextAppearance="@style/MyAppearance">

                    <EditText
                        android:id="@+id/mobile"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_marginTop="@dimen/textSize"
                        android:background="@drawable/border_login_black"
                        android:fontFamily="sans-serif"
                        android:hint="Mobile Number"
                        android:inputType="phone"
                        android:maxLines="1"
                        android:textColor="@color/btn_bg_color"
                        android:textColorHint="@color/btn_bg_color"
                        android:textCursorDrawable="@color/base_color"
                        android:textSize="@dimen/textSizeAverage" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:padding="@dimen/seekbarsize"
                    android:src="@mipmap/email" />

                <com.google.android.material.textfield.TextInputLayout
                    android:id="@+id/txtemail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:textColorHint="@color/btn_bg_color"
                    app:hintAnimationEnabled="true"
                    app:hintEnabled="true"
                    app:hintTextAppearance="@style/MyAppearance">

                    <EditText
                        android:id="@+id/email"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_marginTop="@dimen/textSize"
                        android:background="@drawable/border_login_black"
                        android:fontFamily="sans-serif"
                        android:hint="Email"
                        android:inputType="text"
                        android:maxLines="1"
                        android:textColor="@color/btn_bg_color"
                        android:textColorHint="@color/btn_bg_color"
                        android:textCursorDrawable="@color/base_color"
                        android:textSize="@dimen/textSizeAverage" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:padding="@dimen/seekbarsize"
                    android:src="@mipmap/hyper_dob"
                    app:tint="@color/base_color" />

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/txtInputDob"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/textSizeToSmall"
                        android:textColorHint="@color/btn_bg_color"
                        app:hintAnimationEnabled="true"
                        app:hintEnabled="true"
                        app:hintTextAppearance="@style/MyAppearance">

                        <EditText
                            android:id="@+id/dob"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/buttonHeight"
                            android:layout_marginTop="@dimen/textSize"
                            android:background="@drawable/border_login_black"
                            android:fontFamily="sans-serif"

                            android:hint="Date of Birth"
                            android:inputType="text"
                            android:maxLines="1"
                            android:textColor="@color/btn_bg_color"
                            android:textColorHint="@color/btn_bg_color"
                            android:textSize="@dimen/textSizeAverage" />


                    </com.google.android.material.textfield.TextInputLayout>

                    <ImageView
                        android:id="@+id/dob_date"
                        android:layout_width="@dimen/buttonHeight"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_gravity="center_vertical|right"
                        android:layout_marginTop="@dimen/textSizeToSmall"

                        android:padding="@dimen/seekbarsize"
                        android:src="@mipmap/date" />
                </FrameLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:padding="@dimen/seekbarsize"
                    android:src="@mipmap/designation"
                    app:tint="@color/base_color" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:textColorHint="@color/btn_bg_color"
                    app:hintAnimationEnabled="true"
                    app:hintEnabled="true"
                    app:hintTextAppearance="@style/MyAppearance">

                    <EditText
                        android:id="@+id/designation"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_marginTop="@dimen/textSize"
                        android:background="@drawable/border_login_black"
                        android:fontFamily="sans-serif"
                        android:hint="Role"
                        android:inputType="text"
                        android:maxLines="1"
                        android:textColor="@color/btn_bg_color"
                        android:textColorHint="@color/btn_bg_color"
                        android:textCursorDrawable="@color/base_color"
                        android:textSize="@dimen/textSizeAverage" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:visibility="gone">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:padding="@dimen/seekbarsize"
                    android:src="@mipmap/dateofjoin" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:textColorHint="@color/btn_bg_color"
                    app:hintAnimationEnabled="true"
                    app:hintEnabled="true"
                    app:hintTextAppearance="@style/MyAppearance">

                    <EditText
                        android:id="@+id/doj"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_marginTop="@dimen/textSize"
                        android:background="@drawable/border_login_black"
                        android:fontFamily="sans-serif"
                        android:hint="Date of Joining"
                        android:inputType="text"
                        android:maxLines="1"
                        android:textColor="@color/btn_bg_color"
                        android:textColorHint="@color/btn_bg_color"
                        android:textSize="@dimen/textSizeAverage" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:visibility="gone">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:padding="@dimen/seekbarsize"
                    android:src="@mipmap/dealer_code" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:textColorHint="@color/btn_bg_color"
                    app:hintAnimationEnabled="true"
                    app:hintEnabled="true"
                    app:hintTextAppearance="@style/MyAppearance">

                    <EditText
                        android:id="@+id/dealer"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_marginTop="@dimen/textSize"
                        android:background="@drawable/border_login_black"
                        android:fontFamily="sans-serif"
                        android:hint="Dealer"
                        android:inputType="text"
                        android:maxLines="1"
                        android:textColor="@color/btn_bg_color"
                        android:textColorHint="@color/btn_bg_color"
                        android:textSize="@dimen/textSizeAverage" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:visibility="gone">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:padding="@dimen/seekbarsize"
                    android:src="@mipmap/zone" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:textColorHint="@color/btn_bg_color"
                    app:hintAnimationEnabled="true"
                    app:hintEnabled="true"
                    app:hintTextAppearance="@style/MyAppearance">

                    <EditText
                        android:id="@+id/zone"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_marginTop="@dimen/textSize"
                        android:background="@drawable/border_login_black"
                        android:fontFamily="sans-serif"
                        android:hint="Zone"
                        android:inputType="text"
                        android:maxLines="1"
                        android:textColor="@color/btn_bg_color"
                        android:textColorHint="@color/btn_bg_color"
                        android:textSize="@dimen/textSizeAverage" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:visibility="gone">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:padding="@dimen/seekbarsize"
                    android:src="@mipmap/zone" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:textColorHint="@color/btn_bg_color"
                    app:hintAnimationEnabled="true"
                    app:hintEnabled="true"
                    app:hintTextAppearance="@style/MyAppearance">

                    <EditText
                        android:id="@+id/region"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_marginTop="@dimen/textSize"
                        android:background="@drawable/border_login_black"
                        android:fontFamily="sans-serif"
                        android:hint="Region"
                        android:inputType="text"
                        android:maxLines="1"
                        android:textColor="@color/btn_bg_color"
                        android:textColorHint="@color/btn_bg_color"
                        android:textSize="@dimen/textSizeAverage" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:visibility="gone">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:padding="@dimen/seekbarsize"
                    android:src="@mipmap/zone" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:textColorHint="@color/btn_bg_color"
                    app:hintAnimationEnabled="true"
                    app:hintEnabled="true"
                    app:hintTextAppearance="@style/MyAppearance">

                    <EditText
                        android:id="@+id/state"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_marginTop="@dimen/textSize"
                        android:background="@drawable/border_login_black"
                        android:fontFamily="sans-serif"
                        android:hint="State"
                        android:inputType="text"
                        android:maxLines="1"
                        android:textColor="@color/btn_bg_color"
                        android:textColorHint="@color/btn_bg_color"
                        android:textSize="@dimen/textSizeAverage" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:visibility="gone">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:padding="@dimen/seekbarsize"
                    android:src="@mipmap/zone" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:textColorHint="@color/btn_bg_color"
                    app:hintAnimationEnabled="true"
                    app:hintEnabled="true"
                    app:hintTextAppearance="@style/MyAppearance">

                    <EditText
                        android:id="@+id/city"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_marginTop="@dimen/textSize"
                        android:background="@drawable/border_login_black"
                        android:fontFamily="sans-serif"
                        android:hint="City"
                        android:inputType="text"
                        android:maxLines="1"
                        android:textColor="@color/btn_bg_color"
                        android:textColorHint="@color/btn_bg_color"
                        android:textSize="@dimen/textSizeAverage" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/buttonHeightSmall"
                android:orientation="horizontal"
                android:visibility="gone">

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/textSizeSmall"
                    android:layout_marginRight="@dimen/textSizeSmall">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginLeft="@dimen/textSize"
                        android:gravity="left"
                        android:text="Are you married?"
                        android:textColor="@color/bg_color"
                        android:textSize="@dimen/textSizeAverage" />

                    <CheckBox
                        android:id="@+id/checkMarried"
                        android:layout_width="@dimen/buttonHeightSmall"
                        android:layout_height="@dimen/buttonHeightSmall"
                        android:layout_gravity="right"
                        android:gravity="left"
                        android:theme="@style/MyCheckbox" />
                </FrameLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/linear_wedding_date"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="100dp"
                android:orientation="horizontal"
                android:visibility="gone">

                <ImageView
                    android:layout_width="@dimen/buttonHeight"
                    android:layout_height="@dimen/buttonHeight"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:padding="@dimen/seekbarsize"
                    android:src="@mipmap/married" />

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/txtInputWedding"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/textSizeToSmall"
                        android:textColorHint="@color/btn_bg_color"
                        app:hintAnimationEnabled="true"
                        app:hintEnabled="true"
                        app:hintTextAppearance="@style/MyAppearance">

                        <EditText
                            android:id="@+id/weddingDate"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/buttonHeight"
                            android:layout_marginTop="@dimen/textSize"
                            android:background="@drawable/border_login_black"
                            android:fontFamily="sans-serif"
                            android:hint="Wedding Anniversary Date"
                            android:inputType="text"
                            android:maxLines="1"
                            android:textColor="@color/btn_bg_color"
                            android:textColorHint="@color/btn_bg_color"
                            android:textSize="@dimen/textSizeAverage" />
                    </com.google.android.material.textfield.TextInputLayout>

                    <ImageView
                        android:id="@+id/weddding_date"
                        android:layout_width="@dimen/buttonHeight"
                        android:layout_height="@dimen/buttonHeight"
                        android:layout_gravity="center_vertical|right"
                        android:layout_marginTop="@dimen/textSizeToSmall"
                        android:padding="@dimen/seekbarsize"
                        android:src="@mipmap/date" />
                </FrameLayout>
            </LinearLayout>
        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/editButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/fab_margin"
        android:clickable="true"
        android:focusable="true"
        app:backgroundTint="@color/material_white"
        app:layout_anchor="@id/appBarLayout"
        app:layout_anchorGravity="bottom|right|end"
        app:srcCompat="@mipmap/edit_icon" />

    <LinearLayout
        android:id="@+id/bottomLayout"
        android:layout_width="match_parent"
        android:layout_height="?android:attr/actionBarSize"
        android:layout_gravity="bottom"
        android:background="@color/white"
        android:orientation="horizontal">

        <Button
            android:id="@+id/submitButton"
            android:layout_width="0dip"
            android:layout_height="@dimen/buttonHeightNormal"
            android:layout_gravity="center"
            android:layout_marginLeft="@dimen/buttonHeightLarge"
            android:layout_marginTop="@dimen/seekbarsize"
            android:layout_marginRight="@dimen/buttonHeightLarge"
            android:layout_marginBottom="@dimen/seekbarsize"
            android:layout_weight="1"
            android:background="@drawable/border_login_button"
            android:text="@string/action_submit"
            android:textAllCaps="true"
            android:textColor="@color/bg_color"
            android:textSize="@dimen/textSizeAverage" />


    </LinearLayout>
</androidx.coordinatorlayout.widget.CoordinatorLayout>
